Bug 68277 - Smbfs 2GB file limitation.
Smbfs 2GB file limitation.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-08 16:21 EDT by Brett Simpson
Modified: 2014-08-31 19:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-23 14:15:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brett Simpson 2002-07-08 16:21:51 EDT
Description of Problem: Smbfs mount to Windows share cannot see files greater than 2GB.


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. Mount a windows share
2. Place a 2gb file into the windows share from the windows server.
3. ls -l will report a bogus file size for only the files greater than 2gb. Those files will not transfer properly.

Actual Results:


Expected Results:


Additional Information:
This is a known issue that affects the smbfs in the kernel and samba. To fix it patches will need to be applied to both the kernel and Samba. They 
can be found at http://www.hojdpunkten.ac.se/054/samba/index.html. Apply 00 through 02 to the kernel. Apply smbmount-2.2.3a-negotiate.patch to Samba.
Comment 1 Trond Eivind Glomsrxd 2002-07-08 19:35:25 EDT
Arjan: Any comments on the kernel patch?
Comment 2 Janne Pikkarainen 2003-09-15 08:47:03 EDT
This bug bit me, too. Until recently I took backups over nfs mount and it was
working perfectly, no matter how big tarballs I created. Right after I had to
switch to smbfs mount, 2 GB barrier started to bully me. 
Comment 3 Ravichandren bose 2005-05-09 16:56:34 EDT
system : linux 2.1 as 
we mounted via smbfs windows system.we are not able to copy file size limit 2gb.
Comment 4 Jay Fenlason 2005-05-23 14:15:26 EDT
smbfs has been superceded by cifs for most uses.  Large files work fine with 
cifs. 

Note You need to log in before you can comment on or make changes to this bug.